path <- '/esarchive/scratch/molmo/shiny_app/'

library(shiny)
# library(shinythemes)

# variable, season

ui <- fluidPage(title = 'ETCCDI indices: historical simulations',
                # titlePanel('C3S_34c (WP1)'),
                #theme = shinytheme('paper'),
                #shinythemes::themeSelector(),
                #  headerPanel(list(HTML('<img src="c3s_logo.png" 
                # # alt="C3S logo" width="120" height="50"/>'),
                #  #                  HTML('<img src="bsc_logo.jpg" 
                # alt="BSC logo" width="58" height="50"/>'),
                #  #                  HTML('<img src="dwd_logo.jpg" 
                # alt="BSC logo" width="58" height="50"/>'),
                #  #                  HTML('<img src="metoffice_logo.gif" 
                # alt="BSC logo" width="72" height="65"/>'),
                #  #                  HTML('<img src="cmcc_logo.png" 
                # alt="BSC logo" width="62" height="55"/>'),
                #  #                  HTML('<H3> C3S_34c - Indices figures 
                # </H3>'))),
                   windowTitle='Index',
                 sidebarPanel(
                   width = 2,
                   checkboxGroupInput(inputId = 'variable', label = 'Variable',
                                      choices = 
c("PR","TX_TN"),
                                      inline = F, width = '100%'),
                   checkboxGroupInput(inputId = 'season', label = 
'Season',
                                      choices = c("Winter","Summer","Spring","Autumn"),
                                      inline = FALSE, width = '100%'),

                   sliderInput(inputId = 'size', label = 'Plot size (%)',
                               min = 0, max = 200, step = 1, value = 100,
                               round = TRUE, animate = FALSE, ticks = TRUE)
                 ),
                 mainPanel(
                   imageOutput(outputId = 'plot')
                 )
)

server <- function(input, output) {

   output$plot <- renderImage({
    
     if (!is.null(input$variable)){
       if (input$variable == 'PR'){
         variable = 'PR'
       } else if (input$variable == 'TX_TN'){
         variable = 'TX_TN'
       } 

     } else {variable = NULL}

     if (!is.null(input$season)){
       if(input$season == 'Spring'){
         season = 'Spring'
       } else if (input$season == 'Autumn'){
         season = 'Autumn'
       } else if (input$season == 'Summer'){
         season = 'Summer'
       } else if (input$season == 'Winter'){
         season = 'Winter'
       }
     } else {season = NULL}

     filename <- 
paste0('/esarchive/scratch/molmo/CLIMCAT/SeasonalIndices','_',variable,'_Map_',season,'.png')
     print(filename)
     return(list(src = filename,
                 width = paste0(input$size,'%'),
                 alt = 'Please select one or more options for each
category on the left panel')
            )
   }, deleteFile = FALSE)


}

shinyApp(ui = ui, server = server)
